<nz-breadcrumb>
    <nz-breadcrumb-item>系统设置</nz-breadcrumb-item>
    <nz-breadcrumb-item>接口列表</nz-breadcrumb-item>
</nz-breadcrumb>

<div class="actionbar">
    <app-input label="关键字" [(value)]="query" (enter)="search()"></app-input>
    <app-api-method-select [(value)]="queryMethod" style="margin-left: 5px;"></app-api-method-select>
    <button nz-button style="margin-left: 10px;" [nzLoading]="loading" (click)="search()">
        <i nz-icon nzType="search" nzTheme="outline"></i>
    </button>

    <div style="float: right;">
        <button nz-button (click)="showNewModal()">新建</button>
    </div>
</div>

<div class="content">
    <nz-table nzBordered #basicTable [nzData]="apis" [nzTotal]="total" [(nzPageIndex)]="page" [(nzPageSize)]="pageSize"
    [nzLoading]="loading" [nzShowSizeChanger]="true" [nzFrontPagination]="false" nzSize="small"
    (nzPageIndexChange)="onPageChange()" (nzPageSizeChange)="onPageChange()" [nzShowTotal]="totalTemplate">
    <thead>
      <tr>
        <th>序号</th>
        <th>方法</th>
        <th>路径</th>
        <th>权限</th>
        <th>创建人</th>
        <th>创建时间</th>
        <th>操作</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data;let i=index">
        <td>{{(page-1)*pageSize+i+1}}</td>
        <td>
          {{data.method}}
        </td>
        <td>{{data.path}}</td>
        <td>
            {{data.perm.name}} ({{data.perm.fullcode}})
        </td>
        <td>
            <app-staff-label [id]="data.created_by"></app-staff-label>
        </td>
        <td>
            <app-datetime [text]="data.created_at"></app-datetime>
        </td>
        <td>
          <a nz-dropdown [nzDropdownMenu]="menu">
            <i nz-icon nzType="menu" nzTheme="outline"></i>
          </a>
          <nz-dropdown-menu #menu="nzDropdownMenu">
            <ul nz-menu style="min-width: 100px;">
              <li nz-menu-item (click)="showUpdateModal(data)">编辑</li>
            </ul>
          </nz-dropdown-menu>
        </td>
      </tr>
    </tbody>
  </nz-table>
  <ng-template #totalTemplate let-range="range" let-total>
    总计：{{total}}
  </ng-template>
</div>

<app-update-api-modal [(isVisible)]="isUpdateModalVisible" [data]="updateData" (update)="findAPIs()"></app-update-api-modal>